web-dev-qa-db-de.com

Installieren Sie Yarn Ubuntu 16.04 (Linux Mint 18.1)

Ich habe eine neue Installation von Linux Mint 18.1 mit Ubuntu 16.04 . Ich habe Node 6.10.0 installiert.

Wenn Sie den Befehl ausführen, der die Dokumentation von Yarn angibt:

Sudo apt-get update && Sudo apt-get install yarn

Es heißt "Garnpaket nicht finden"

Ich muss etwas anderes tun, weil ich in der Dokumentation nichts davon sehe.

Vielen Dank.

 enter image description here

Unter Ubuntu Linux können Sie Yarn über das Debian-Paket-Repository installieren. Sie müssen zuerst das Repository konfigurieren:

curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | Sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | Sudo tee /etc/apt/sources.list.d/yarn.list

Dann können Sie einfach:

Sudo apt-get update && Sudo apt-get install yarn

Weitere Informationen hier

128
Shaig Khaligli

Ich konnte Yarn nicht mit der akzeptierten Antwort auf Ubuntu 16.04 installieren, fand es aber mit npm einfach:

npm install -g yarn

Dann überprüfen Sie Install/Version mit

yarn --version

24
ow3n

Siehe Installation | Garn | Linux-Registerkarte

Es gibt Anweisungen für mehrere Linux-Distributionen

5
simhumileco

Hier finden Sie weitere Informationen zur offiziellen Installationsanweisung .

  1. Der Befehl apt-key ruft den öffentlichen Authentifizierungsschlüssel für die Softwareintegrationsprüfung ab.

  2. deb https://dl.yarnpkg.com/debian/ stable main ist das Ubuntu-Repository, das yarn enthält. Schauen Sie sich den Screenshot von OP an. In den Top-10-Zeilen werden vorhandene Repositorys für die Suche nach Paketen aufgeführt, aber es gibt keine für Garne. Also müssen wir das Repository hinzufügen, indem wir die Datei /etc/apt/sources.list.d/yarn.list erstellen.

  3. Geben Sie nach den obigen beiden Schritten den Befehl apt/apt-get aus, um yarn wie übliche Ubuntu-Pakete hinzuzufügen.

1
themefield

In Ubuntu oder Linux können Sie Garne mit dem Terminal installieren. Vor der Installation müssen Sie zunächst das Repository konfigurieren. Führen Sie dazu die folgenden Befehle aus

Sudo apt install curl

curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | Sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | Sudo tee /etc/apt/sources.list.d/yarn.list 

nachdem Sie das Repository eingerichtet haben, können Sie das Garn einfach mit dem folgenden Befehl installieren 

Sudo apt-get update && Sudo apt-get install yarn

Sobald die Installation abgeschlossen ist, können Sie die Version mit folgendem Befehl überprüfen

yarn --version

weitere Informationen finden Sie in der Garndokumentation

0
Alex Varghese

Seien Sie vorsichtig, wenn Sie && verwenden. Ich erhalte den gleichen Fehler beim Ausführen von Sudo apt-get update, wodurch verhindert wird, dass das Terminal Sudo apt-get install yarn ausführt. Ich konnte Garn unter Ubuntu 16.04 erfolgreich installieren, indem ich diese Befehle separat ausführte (ohne && zu verwenden)

0
classnotes101